Pular para o conteúdo principal

Income Endpoints

Manage income records for employees and organizations.

Base Path

/api/income

Endpoints

List Income

GET /api/income
Authorization: Bearer {token}

Query Parameters:

ParameterTypeDescription
employeeIdUUIDFilter by employee
startDateDateFrom date
endDateDateTo date
pagenumberPage number
limitnumberItems per page

Get Income by ID

GET /api/income/:id
Authorization: Bearer {token}

Create Income Record

POST /api/income
Authorization: Bearer {token}

Request Body:

{
"amount": 5000,
"currency": "USD",
"valueDate": "2025-01-31",
"notes": "Project milestone payment",
"isBonus": false,
"clientId": "contact-uuid",
"employeeId": "employee-uuid"
}

Update Income

PUT /api/income/:id
Authorization: Bearer {token}

Delete Income

DELETE /api/income/:id
Authorization: Bearer {token}

Permissions

ActionRequired Permission
ViewORG_INCOMES_VIEW
EditORG_INCOMES_EDIT